Package com.arms.egovframework.javaservice.treeframework.util

## Class StringUtils

- java.lang.Object
- - org.apache.commons.lang.StringUtils
  - - com.arms.egovframework.javaservice.treeframework.util.StringUtils

-     public class StringUtils
      extends org.apache.commons.lang.StringUtils

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.lang.StringUtils

      `EMPTY, INDEX_NOT_FOUND`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StringUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `addComma​(long data)` | 콤마 추가
    `static boolean` | `adminYn​(java.lang.String str)` |
    `static java.lang.String` | `changeApplyIcon​(java.lang.String applyFlag)` |
    `static boolean` | `chkLength​(int min, int max, java.lang.String str)` | 길이체크
    `static boolean` | `chkRpt​(java.lang.String str, int cmpCnt)` | 반복값 체크
    `static java.lang.String` | `commaStr​(int num)` |
    `static java.lang.String` | `commaStr​(java.lang.Long num)` |
    `static java.lang.String` | `cutText​(java.lang.String text, int length, java.lang.String suffix)` |
    `static java.lang.String` | `decode​(java.lang.String msg, java.lang.String type)` |
    `static java.util.List<java.util.List<java.lang.String>>` | `diffMembers​(java.lang.String[] oldMember, java.lang.String[] newMember)` |
    `static java.util.List<java.util.List<java.lang.String>>` | `diffMembers​(java.util.List<java.lang.String> oldMember, java.util.List<java.lang.String> newMember)` |
    `static java.util.List<java.util.List<java.lang.String>>` | `diffMembersLong​(java.util.List<java.lang.Long> oldMember, java.util.List<java.lang.Long> newMember)` |
    `static java.lang.String` | `enterToBr​(java.lang.String str)` |
    `static java.lang.String` | `enterToNull​(java.lang.String str)` |
    `static boolean` | `getBoolean​(java.lang.String text)` |
    `static java.lang.String` | `getClientIp​(javax.servlet.http.HttpServletRequest request)` |
    `static java.lang.String` | `getDatasOfMap​(java.util.Map map)` | get String of java.util.Map keys and values to log
    `static java.lang.String` | `getFullURL​(javax.servlet.http.HttpServletRequest request)` |
    `static java.lang.String` | `getSource​(java.lang.String uri)` | 해당 URL 의 HTML 코드를 String 으로 가져옴
    `static java.lang.String` | `getString​(boolean flag)` |
    `static java.lang.String` | `getString​(int value)` |
    `static java.lang.String` | `getString​(long value)` |
    `static java.lang.String` | `getString​(java.lang.String text)` |
    `static java.lang.String` | `getString​(java.util.Date text)` |
    `static java.lang.String[]` | `getTypeForIp​(java.lang.String value)` |
    `static boolean` | `isEmpty​(java.lang.String str)` |
    `static boolean` | `isNullCheck​(java.lang.String str)` |
    `static java.lang.String[]` | `jsonStringifyConvert​(java.lang.String versionInfo)` |
    `static java.lang.String` | `lpad​(int value, int length, java.lang.String prefix)` |
    `static java.lang.String[]` | `makeIpv4​(java.lang.String ipMask)` |
    `static java.lang.String` | `makeIpv4Cidr​(java.lang.String ip)` |
    `static java.lang.String` | `nullTrim​(java.lang.String str)` |
    `static boolean` | `NumberChk​(java.lang.String str)` |
    `static java.lang.String[]` | `nvl​(java.lang.String[] input)` |
    `static java.lang.String` | `nvl​(java.lang.String str, java.lang.String defaultStr)` |
    `static java.lang.Boolean` | `regex​(java.lang.String regex, java.lang.String str)` |
    `static java.lang.String` | `removeHtmlTags​(java.lang.String value)` |
    `static java.lang.String` | `removeMember​(java.lang.String members, java.lang.String removeMember)` |
    `static java.lang.String` | `removeTrailingSlash​(java.lang.String uri)` |
    `static java.lang.String` | `replaceBrTag​(java.lang.String text)` |
    `static java.lang.String` | `replaceString​(java.lang.String str)` | 특수문자를 웹 브라우저에서 정상적으로 보이기 위해 특수문자를 처리 하는 기능이다
    `static java.lang.String` | `replaceText​(java.lang.String text, java.lang.String originTxt, java.lang.String replaceTxt)` |
    `static java.lang.String` | `rpad​(int value, int length, java.lang.String prefix)` |
    `static java.lang.String[]` | `splitStringByNewLineOrTab​(java.lang.String str)` |
    `static java.lang.String` | `stringByteCut​(java.lang.String raw, int len, java.lang.String encoding, java.lang.String prefix)` | 지정한 Byte로 문자열을 자르고 지정한 말줄임 문자를 붙인다.
    `static java.lang.String` | `substringBeforeLastByte​(java.lang.String str, java.lang.String encoding, int cutByte)` |
    `static int` | `toInt​(java.lang.String value)` |
    `static long` | `toLong​(java.lang.String value)` |
    `static java.lang.String` | `toString​(int value)` | toString();

    - ### Methods inherited from class org.apache.commons.lang.StringUtils

      `abbreviate, abbreviate, abbreviateMiddle, capitalise, capitaliseAllWords, capitalize, center, center, center, chomp, chomp, chompLast, chompLast, chop, chopNewline, clean, concatenate, contains, contains, containsAny, containsAny, containsIgnoreCase, containsNone, containsNone, containsOnly, containsOnly, countMatches, defaultIfBlank, defaultIfEmpty, defaultString, defaultString, deleteSpaces, deleteWhitespace, difference, endsWith, endsWithAny, endsWithIgnoreCase, equals, equalsIgnoreCase, escape, getChomp, getCommonPrefix, getLevenshteinDistance, getNestedString, getNestedString, getPrechomp, indexOf, indexOf, indexOf, indexOf, indexOfAny, indexOfAny, indexOfAny, indexOfAnyBut, indexOfAnyBut, indexOfDifference, indexOfDifference, indexOfIgnoreCase, indexOfIgnoreCase, isAllLowerCase, isAllUpperCase, isAlpha, isAlphanumeric, isAlphanumericSpace, isAlphaSpace, isAsciiPrintable, isBlank, isNotBlank, isNotEmpty, isNumeric, isNumericSpace, isWhitespace, join, join, join, join, join, join, join, join, join, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOf, lastIndexOfAny, lastIndexOfIgnoreCase, lastIndexOfIgnoreCase, lastOrdinalIndexOf, left, leftPad, leftPad, leftPad, length, lowerCase, lowerCase, mid, normalizeSpace, ordinalIndexOf, overlay, overlayString, prechomp, remove, remove, removeEnd, removeEndIgnoreCase, removeStart, removeStartIgnoreCase, repeat, repeat, replace, replace, replaceChars, replaceChars, replaceEach, replaceEachRepeatedly, replaceOnce, reverse, reverseDelimited, reverseDelimitedString, right, rightPad, rightPad, rightPad, split, split, split, split, splitByCharacterType, splitByCharacterTypeCamelCase, splitByWholeSeparator, splitByWholeSeparator, splitByWholeSeparatorPreserveAllTokens, splitByWholeSeparatorPreserveAllTokens, splitPreserveAllTokens, splitPreserveAllTokens, splitPreserveAllTokens, splitPreserveAllTokens, startsWith, startsWithAny, startsWithIgnoreCase, strip, strip, stripAll, stripAll, stripEnd, stripStart, stripToEmpty, stripToNull, substring, substring, substringAfter, substringAfterLast, substringBefore, substringBeforeLast, substringBetween, substringBetween, substringsBetween, swapCase, trim, trimToEmpty, trimToNull, uncapitalise, uncapitalize, upperCase, upperCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringUtils

          public StringUtils()

  - ### Method Detail

    - #### removeHtmlTags

          public static java.lang.String removeHtmlTags​(java.lang.String value)

    - #### getString

          public static java.lang.String getString​(java.lang.String text)

    - #### getString

          public static java.lang.String getString​(java.util.Date text)

    - #### getBoolean

          public static boolean getBoolean​(java.lang.String text)

    - #### getString

          public static java.lang.String getString​(int value)

    - #### getString

          public static java.lang.String getString​(long value)

    - #### getString

          public static java.lang.String getString​(boolean flag)

    - #### makeIpv4Cidr

          public static java.lang.String makeIpv4Cidr​(java.lang.String ip)

    - #### makeIpv4

          public static java.lang.String[] makeIpv4​(java.lang.String ipMask)

    - #### getTypeForIp

          public static java.lang.String[] getTypeForIp​(java.lang.String value)

    - #### diffMembers

          public static java.util.List<java.util.List<java.lang.String>> diffMembers​(java.util.List<java.lang.String> oldMember,
                                                                                     java.util.List<java.lang.String> newMember)

    - #### diffMembersLong

          public static java.util.List<java.util.List<java.lang.String>> diffMembersLong​(java.util.List<java.lang.Long> oldMember,
                                                                                         java.util.List<java.lang.Long> newMember)

    - #### diffMembers

          public static java.util.List<java.util.List<java.lang.String>> diffMembers​(java.lang.String[] oldMember,
                                                                                     java.lang.String[] newMember)

    - #### removeMember

          public static java.lang.String removeMember​(java.lang.String members,
                                                      java.lang.String removeMember)

    - #### getFullURL

          public static java.lang.String getFullURL​(javax.servlet.http.HttpServletRequest request)

    - #### changeApplyIcon

          public static java.lang.String changeApplyIcon​(java.lang.String applyFlag)

    - #### substringBeforeLastByte

          public static java.lang.String substringBeforeLastByte​(java.lang.String str,
                                                                 java.lang.String encoding,
                                                                 int cutByte)
                                                          throws java.io.UnsupportedEncodingException

      Throws:
        `java.io.UnsupportedEncodingException`

    - #### splitStringByNewLineOrTab

          public static java.lang.String[] splitStringByNewLineOrTab​(java.lang.String str)

    - #### nvl

          public static java.lang.String nvl​(java.lang.String str,
                                             java.lang.String defaultStr)

    - #### nvl

          public static java.lang.String[] nvl​(java.lang.String[] input)

    - #### enterToBr

          public static java.lang.String enterToBr​(java.lang.String str)

    - #### enterToNull

          public static java.lang.String enterToNull​(java.lang.String str)

    - #### decode

          public static java.lang.String decode​(java.lang.String msg,
                                                java.lang.String type)
                                         throws java.io.UnsupportedEncodingException

      Throws:
        `java.io.UnsupportedEncodingException`

    - #### toString

          public static java.lang.String toString​(int value)

      toString();
      Parameters:
        `value` -
      Returns:

    - #### toInt

          public static int toInt​(java.lang.String value)

    - #### toLong

          public static long toLong​(java.lang.String value)

    - #### lpad

          public static java.lang.String lpad​(int value,
                                              int length,
                                              java.lang.String prefix)

    - #### rpad

          public static java.lang.String rpad​(int value,
                                              int length,
                                              java.lang.String prefix)

    - #### cutText

          public static java.lang.String cutText​(java.lang.String text,
                                                 int length,
                                                 java.lang.String suffix)

    - #### isEmpty

          public static boolean isEmpty​(java.lang.String str)

    - #### replaceText

          public static java.lang.String replaceText​(java.lang.String text,
                                                     java.lang.String originTxt,
                                                     java.lang.String replaceTxt)

    - #### replaceBrTag

          public static java.lang.String replaceBrTag​(java.lang.String text)

    - #### getDatasOfMap

          public static java.lang.String getDatasOfMap​(java.util.Map map)

      get String of java.util.Map keys and values to log

    - #### isNullCheck

          public static boolean isNullCheck​(java.lang.String str)

    - #### addComma

          public static java.lang.String addComma​(long data)

      콤마 추가
      Parameters:
        `data` -
      Returns:

    - #### getSource

          public static java.lang.String getSource​(java.lang.String uri)

      해당 URL 의 HTML 코드를 String 으로 가져옴
      Parameters:
        `uri` -
      Returns:

    - #### chkLength

          public static boolean chkLength​(int min,
                                          int max,
                                          java.lang.String str)

      길이체크
      Parameters:
        `min` -
        `max` -
        `str` -
      Returns:

    - #### chkRpt

          public static boolean chkRpt​(java.lang.String str,
                                       int cmpCnt)

      반복값 체크
      Parameters:
        `str` -
        `cmpCnt` -
      Returns:

    - #### stringByteCut

          public static java.lang.String stringByteCut​(java.lang.String raw,
                                                       int len,
                                                       java.lang.String encoding,
                                                       java.lang.String prefix)

      지정한 Byte로 문자열을 자르고 지정한 말줄임 문자를 붙인다.
      Parameters:
        `raw` -
        `len` -
        `encoding` -
        `prefix` -
      Returns:

    - #### regex

          public static java.lang.Boolean regex​(java.lang.String regex,
                                                java.lang.String str)

    - #### NumberChk

          public static boolean NumberChk​(java.lang.String str)

    - #### replaceString

          public static java.lang.String replaceString​(java.lang.String str)

      특수문자를 웹 브라우저에서 정상적으로 보이기 위해 특수문자를 처리 하는 기능이다

    - #### adminYn

          public static boolean adminYn​(java.lang.String str)

    - #### getClientIp

          public static java.lang.String getClientIp​(javax.servlet.http.HttpServletRequest request)

    - #### commaStr

          public static java.lang.String commaStr​(java.lang.Long num)

    - #### commaStr

          public static java.lang.String commaStr​(int num)

    - #### nullTrim

          public static java.lang.String nullTrim​(java.lang.String str)

    - #### jsonStringifyConvert

          public static java.lang.String[] jsonStringifyConvert​(java.lang.String versionInfo)

    - #### removeTrailingSlash

          public static java.lang.String removeTrailingSlash​(java.lang.String uri)